/*=============================================================================
author        :Walter Schreppers & Nhan Truong
filename      :JspParser.java
created       :4/2/2000
modified      :/
version       :1
bugreport(log):/
=============================================================================*/
import java.io.*;
import java.awt.*;
import javax.swing.*;

public class Output {
	
	public static final int CONSOLE = 1;
	public static final int WIN = 2;

	public static int mode = Output.WIN;
	public static OutStream out = new OutStream();
	public static OutStream err = new OutStream();	

	public static class OutStream {
	
		public JTextArea area;

		public void print(String s) {
			switch (mode) {
				case CONSOLE:
					System.out.print(s);
					return;
				case WIN:
					area.append(s);
					return;
			}
		}
	
		public void println(String s) {
			print(s + "\n");
		}
	
	}
}

